cancel
Showing results for 
Search instead for 
Did you mean: 

Unreal 4.25.X changes and issues

MaxArch
Level 7
New UE version 4.25 - some changes / issues. Lets put them in one topic for an easy overview and catching up..

4.25.0 preview 1
- Too bad, the new Epic-GPU lightmass plugin is not in this version. Target might be 4.26 (if you build the dev branch you get 4.26)
- When you make a build for Quest, it will fail and you need to install a newer NDK (21). Normally its in the UE extras directory. Not yet. Find it here https://developer.android.com/ndk/downloads ; Download it, extract the zip and put it in the NVPACK dir. Change the Dir in the project settings.
- With the new NDK, building for Quest works but it immediately crashes on Quest. There are a few new project settings but haven't found the right combo yet. ADB logcat has: 'Abort message: 'The requested API version in ovrInitParms (1.1.29.0) is not compatible with this version of VrApi Loader (1.1.31.0)!''. No clue if this is a user setting or a Engine-bug. Reported at Epic.
- update 03-05: tried both building a new project and re-using an existing and working 4.24 project. Both crash on Quest. Only difference is the existing project takes longer to crash.
- update 03-06 "The crash on Quest is known and we're working to have it fixed prior to full 4.25 release."




64 REPLIES 64

motorsep
Level 8
Damn... I would say it's just a Preview 1, but then again why would it not work if 4.24 worked... Damn Epic!!

Btw, they moved all XR bug reports relevant to Quest from 4.25 to 4.26 which who knows will be coming out (by Christmas 2020 ? ).

MaxArch
Level 7
Update: the crash on Quest "is known and we're working to have it fixed prior to full 4.25 release."

motorsep
Level 8
4.25p2 is out.. Doesn't look like there are any Quest specific (or Oculus VR specific) fixes 😕

MaxArch
Level 7
Tested 4.25.0.p2 Can't even make an android build now because its missing essential stuff. Copying some from the 4.24 folders only results in new missing stuff. Reported.

rasamaya
Level 3

MaxArch said:

Tested 4.25.0.p2 Can't even make an android build now because its missing essential stuff. Copying some from the 4.24 folders only results in new missing stuff. Reported.


The next message is probably the java message. copy that folder over too. Now everything builds successfully at least.
Ordered and Received DK1 Ordered DK2 within 18 minutes of announcement!! woot! Concerned about facebook thing, but would have done the same myself. Developing the VR gloves you always imagined(over 1 year full-time development, and looking sweet)

motorsep
Level 8
@rasamaya well, if it builds and runs for you on Quest, could you please check if Niagara works in VR and performs as well as Cascade ?  o:)

MaxArch
Level 7
@rasamaya did you run the app on the Quest as well? I copied those folders and it builds now but the app still crashes immediately on the Quest for me.

rasamaya
Level 3

MaxArch said:

@rasamaya did you run the app on the Quest as well? I copied those folders and it builds now but the app still crashes immediately on the Quest for me.


Builds, but crashes right away. Was just making progress, one step at a time. Upon playing in headset, it crashes and its a known error they are working on. Been trying to get it to work too lol.
Ordered and Received DK1 Ordered DK2 within 18 minutes of announcement!! woot! Concerned about facebook thing, but would have done the same myself. Developing the VR gloves you always imagined(over 1 year full-time development, and looking sweet)

MaxArch
Level 7
Updated to 4.25.0.p3 Still Android errors so still no builds for Quest possible.
On p2 I got a reply from Epic, they couldn't reproduce the error. Added a bit more info but no response.